## org.w3c.jigadm.events
Class ResourceChangeEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.beans.PropertyChangeEvent
                  |
                  +--org.w3c.jigadm.events.ResourceChangeEvent

public class ResourceChangeEvent
extends java.beans.PropertyChangeEvent

See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ResourceChangeEvent(java.lang.Object source, java.lang.String name, java.lang.Object oldvalue, java.lang.Object newvalue)` Creates a ResourceChangeEvent this correspond to a change in one resource

Methods inherited from class java.beans.PropertyChangeEvent
`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceChangeEvent

    public ResourceChangeEvent(java.lang.Object source,
                               java.lang.String name,
                               java.lang.Object oldvalue,
                               java.lang.Object newvalue)

  Creates a ResourceChangeEvent this correspond to a change in one resource
  Parameters:
    `source` - The resource father whose resource has changed.
    `name` - The name of the attribute that has changed.
    `oldvalue` - The old attribute value.
    `newvalue` - The new attribuyte value.